<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="enable" type="bool" writable="true" default="true" description="Enables / disables the output."/>
  <property name="message_length" type="ushort" writable="false" initial="true" default="512"
    description="Output message length. Must not be 0."/>
  <property name="value" type="long" writable="true" default="0" description="Output value."/>
  <property name="discontinuity_on_value_change" type="bool" writable="true" default="false"
    description="Sets if a discontinuity opcode is generated when the value property is changed."/>
  <port name="output" producer="true" protocol="long_timed_sample-prot"/>
</componentspec>
